using Core.Entities;

namespace Application.Services.Database;

public interface IPatientRepository
{
    Task AddAsync(Patient patient);

    Task<Patient?> GetByIdAsync(Guid id);

    Task<Patient?> FindByEmailAsync(string email);

    Task UpdateAsync(Patient doctor);

    Task DeleteAsync(Patient doctor);

    Task<IEnumerable<Patient>> GetAllAsync();
}